Patch template project files
Applies revision-checked file patches to the shared project workspace overlay. Use this endpoint to patch template project files through the Samva email API.
Applies revision-checked file patches to the shared project workspace overlay.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
expectedRevision*string
patches*array<>
Items
1 <= items <= 512idempotencyKey*string
Length
1 <= length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/templates/string/workspace" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "string", "patches": [ { "path": "string", "content": "string" } ], "idempotencyKey": "string" }'{ "workspace": { "projectId": "string", "organizationId": "string", "ownerEpoch": 0, "repositoryName": "string", "defaultBranch": "string", "baseCommit": "string", "remoteHead": "string", "pendingRemoteHead": "string", "revision": "string", "overlay": { "property1": "string", "property2": "string" }, "conflicts": [ { "path": "string", "base": "string", "draft": "string", "main": "string" } ], "provenance": { "references": [ { "kind": "string", "digest": "string", "locator": "string" } ] }, "mounts": [ { "kind": "project", "root": "/project", "access": "read-write" } ], "libraryManifestDigest": "string", "createdAt": "string", "updatedAt": "string", "createdBy": { "userId": "string", "via": "api" }, "updatedBy": { "userId": "string", "via": "api" } }, "files": { "property1": "string", "property2": "string" }}Open a template project workspace
Creates or opens the shared project workspace at the current Artifact branch head and returns its effective files.
Preview a template project workspace
Builds the template entry from the current effective workspace tree, including unsaved file patches, without creating a Git commit.